Commit b057448a authored by Alexandre Janniaux's avatar Alexandre Janniaux
Browse files

fixup! configure.ac: look for lua.pc first

parent e09c48b0
Pipeline #29621 failed with stage
in 156 minutes and 46 seconds
......@@ -1904,15 +1904,15 @@ if test "${enable_lua}" != "no"
then
dnl Lua from contrib will install a lua.pc pkg-config file so this must be
dnl checked first to avoid mixing contribs includes and system libs
PKG_CHECK_MODULES(LUA, lua >= 5.1, [ have_lua=yes ], [])
PKG_CHECK_MODULES(LUA, lua >= 5.1, [ have_lua=yes ], [:])
AS_IF([test "${have_lua}" != "yes"], [
AC_MSG_WARN([${LUA_PKG_ERRORS}, trying lua5.2 instead])
PKG_CHECK_MODULES(LUA, lua5.2, [ have_lua=yes ], []) ])
PKG_CHECK_MODULES(LUA, lua5.2, [ have_lua=yes ], [:]) ])
AS_IF([test "${have_lua}" != "yes"], [
AC_MSG_WARN([${LUA_PKG_ERRORS}, trying lua 5.1 instead])
PKG_CHECK_MODULES(LUA, lua5.1, [ have_lua=yes ], []) ])
PKG_CHECK_MODULES(LUA, lua5.1, [ have_lua=yes ], [:]) ])
AS_IF([test "${have_lua}" != "yes"], [
AC_MSG_WARN([${LUA_PKG_ERRORS}, trying manual detection instead])
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment